cloudy cloudy

Author Topic: RPi and mysql 5.6  (Read 583 times)

0 Members and 1 Guest are viewing this topic.

Offline francisguaitrapa

  • Posts: 12
  • OS/Browser:
  • Win 7/Srvr 2008R2
  • Firefox 58.0
RPi and mysql 5.6
« on: March 06, 2018, 10:19:33 AM »
Hi,

I want to run ConsoleWD 14 on a RPi3 with raspbian jessi or stretch, but I can not install mysql client 5.6. There is not available release of the mysql 5.6+ for arm.

For jessi you can install 5.5.99 (latest mysql release for arm) and for stretch you can install MariaDB 10...

how I can solve this error?
TMySQL56Connection can not work with the installed MySQL client version: Expected (5.6)


Offline Weather Display

  • Posts: 85,078
  • Davis VP2
  • New Zealand
  • OS/Browser:
  • Win NT 10.0
  • Chrome 64.0.3282.167
    • Weather Display
Re: RPi and mysql 5.6
« Reply #1 on: March 07, 2018, 12:49:32 AM »
I am sure there are others who were able to install it (which is why its expecting that version)

Offline niko

  • syzygy
  • Global Moderator
  • Posts: 27,528
  • Crystal Ball broken! Please post the URL.
  • Northern California, U.S.A.
  • OS/Browser:
  • Win 7/Srvr 2008R2
  • Chrome 64.0.3282.186
Re: RPi and mysql 5.6
« Reply #2 on: March 07, 2018, 01:17:38 AM »
Very strange, according to the wisdom of the intermet, this does appear to be true:

There is not available release of the mysql 5.6+ for arm.

Offline francisguaitrapa

  • Posts: 12
  • OS/Browser:
  • Win 7/Srvr 2008R2
  • Firefox 58.0
Re: RPi and mysql 5.6
« Reply #3 on: March 07, 2018, 08:14:52 AM »
I have tried to install through MySQL APT repository.
You can install deb package which add official repositories of mysql.
-> https://dev.mysql.com/downloads/repo/apt/

But when you do apt-get update, you can see warnings about mysql does not support armhf architecture.

Offline francisguaitrapa

  • Posts: 12
  • OS/Browser:
  • Win 7/Srvr 2008R2
  • Firefox 58.0
Re: RPi and mysql 5.6
« Reply #4 on: March 08, 2018, 08:41:45 AM »
I am still trying to install mysql-client-5.6.

Now, I have installed Ubuntu 14.04 in the RPi as there is amrhf package of mysql-5.6.
But it depends of 5.5.99 packages... Although you install manually every package always has some required dependency to 5.5.X.
Code: [Select]
mysql-apt-config/now 0.8.9-1 all [installed,local]
mysql-client-5.6/trusty-updates,trusty-security,now 5.6.33-0ubuntu0.14.04.1 armhf [installed]
mysql-client-core-5.6/trusty-updates,trusty-security,now 5.6.33-0ubuntu0.14.04.1 armhf [installed]
mysql-common/trusty-updates,trusty-security,now 5.5.59-0ubuntu0.14.04.1 all [installed,automatic]
mysql-common-5.6/trusty-updates,trusty-security,now 5.6.33-0ubuntu0.14.04.1 all [installed]

Really someone has WD14 on a RPi using mysql option?

Offline francisguaitrapa

  • Posts: 12
  • OS/Browser:
  • Win 7/Srvr 2008R2
  • Firefox 58.0
Re: RPi and mysql 5.6
« Reply #5 on: March 09, 2018, 08:44:29 AM »
At last, I have running WD17  with the RPi.
Ubuntu 14.04 armhf and the specific .deb mysql-client-5.6 installed manually.
We have some dependencies  breach, but it works.

There are several troubles (I don't kown if it is the specific version or system configuration):
-I can`t use extra table columns that I had. I can in the WD windows version.
Code: [Select]
Error executing query: Column count doesn't match value count at row 1
 could not write INSERT IGNORE INTO xxxxxxx VALUES ('WMR200-08:35:25','2018/03/09','08:35:00','5.1','248','9','11.2','77','988.3','0.0','0.0','0.0','0.000','0.000','22.0','45','0.0','0','0.0','0','0','0.0','0.0','0.0','0.0','0.0','0.0','0.0','0','0','0','08','35','25','WMR200-08:35:25','0','0','09','03','0','0','0','0','0','0','0','11.2','11.4','15.2','10.9','0','Dry','-24.7','15.0','7.3','1601.0','16.7','8.9','15.2','10.9','0.0','15.2','10.9','11.2','13.0','2018')
into meteoalmansa
Could not write data into xxxxxxxx

-consolewd ignores this configured config.txt params:
 
Code: [Select]
Mysql time=60
  Start up daily rain(mm)=0
  Start up monthly rain(mm)=0.3
  Start up yearly rain(mm)=61.7

-Sometimes temperature captured from usb by the consolewd is different of the wmr200 display. For example, once I have can seen 10.3 in the display, but 14.9 had stored in txt files and mysql row.

Offline Weather Display

  • Posts: 85,078
  • Davis VP2
  • New Zealand
  • OS/Browser:
  • Win NT 10.0
  • Chrome 64.0.3282.186
    • Weather Display
Re: RPi and mysql 5.6
« Reply #6 on: March 09, 2018, 05:47:23 PM »
yes, consolewd mysql only uses the default table data, does not allow any customisation (currently)
I thought i had fixed the rain totals from the config.txt
try setting those in the ini file instead?

Offline niko

  • syzygy
  • Global Moderator
  • Posts: 27,528
  • Crystal Ball broken! Please post the URL.
  • Northern California, U.S.A.
  • OS/Browser:
  • Win 7/Srvr 2008R2
  • Chrome 64.0.3282.186
Re: RPi and mysql 5.6
« Reply #7 on: March 09, 2018, 06:16:54 PM »
How big a deal would it be to switch to MariaDB which seems to be replacing MySQL?

Offline niko

  • syzygy
  • Global Moderator
  • Posts: 27,528
  • Crystal Ball broken! Please post the URL.
  • Northern California, U.S.A.
  • OS/Browser:
  • Win 7/Srvr 2008R2
  • Chrome 65.0.3325.162
Re: RPi and mysql 5.6
« Reply #8 on: March 14, 2018, 07:33:34 PM »
I learned that in MariaDB 10.2 the version command allows you to spoof the version string so that it will work with apps expecting MySQL. MariaDB is fully compatible with MySQL so this would seem to be a better option for RPi users.

 

cumulus